drop table if exists BatchCompletionHistory;

create table BatchCompletionHistory ( -- Stores the number of completed and uncompleted jobs for one batch (denoted as batch_id), at some time (denoted as ts)
        ts bigint,
        batch_id VARCHAR(200),
        n_jobs_completed int,
        n_jobs_uncompleted int,
        n_jobs_submitted int,
        plugin_addr VARCHAR(100),
        PRIMARY KEY(ts,batch_id,plugin_addr)
    );

create table WorkersHistory ( -- Stores the number of workers and cloudworkers at some time (denoted as ts)
        ts bigint,
        n_workers int,
        n_cloudworkers int,
        PRIMARY KEY(ts)
    );
                        

